/* Reset de estilos */
:root {
    --color-primary: #083B66;
    --color-accent: #0088E9;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Estilos generales */
body {
    font-family: 'Kanit', sans-serif;
    font-size: 16px;
    line-height: 1.5;
    color: #333;
    margin: 0;
}

body::-webkit-scrollbar {
    width: 0px;
    height: 0px;
    background-color: #F5F5F5;
}

body::-webkit-scrollbar-thumb {
    background-color: #000000;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    flex-grow: 1;
}

.container1 {
    display: flex;
    max-width: 1500px;
    margin: 0 auto;
    padding: 0 20px;
    justify-content: center;
    flex-wrap: wrap;

}


/* Estilos del encabezado */
header {
    background-color: var(--color-primary);
    padding: 20px 0;
    position: relative;
    height: 100px;
    font-family: 'Kanit', sans-serif;
}

nav {
    background-color: white;
    padding: 10px;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: auto;
    z-index: 2;
    text-align: right;
    border-radius: 5px;
    margin-left: 1%;
    margin-right: 1%;
    margin-top: 1%;
    border: solid 3px var(--color-primary);
}

.logo img {
    max-width: 100px;
    height: auto;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
}

nav ul li {
    margin-right: 20px;
}

nav ul li a {
    color: var(--color-primary);
    text-decoration: none;
    font-weight: bold;
    margin-left: 20px;
}

nav ul li a:hover {
    color: var(--color-accent);
}

/* Estilo para el menú desplegable */
.dropdown {
    position: relative;
    display: inline-block;
}
  
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    width: 250px;
    text-align: left;
}
  
.dropdown-content a {
    color: #333;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}
  
.dropdown:hover .dropdown-content {
    display: block;
}

/* Estilos de la sección de ubicación */
.map {
    display: flex;
    flex-wrap: wrap;
    margin: auto;
    padding: 0 20px;
    align-items: center;
}

.left-column {
    padding-right: 20px;
    margin-left: 10px;
}

.right-column {
    padding-left: 20px;
    margin-left: 100px;
}

.map .container .right-column p {
    margin-top: 0;
}

/* Estilos del pie de página */
footer {
    background-color: #083B66;
    padding: 20px 0;
    text-align: center;
    color: #FFF;
    margin-top: auto;
}

#imgen {
    width: 400px;
    height: auto;
}

.services {
    font-family: 'Kanit', sans-serif;
    padding: 40px;
    color: rgb(0, 0, 0);
    width: 100%;
    height: auto;
    margin: auto;
    align-items: center;
    justify-content: center;
    margin: auto;
}

#h2N {
    width: 100%;
    color: white;
    justify-content: left;
    display: block;
    align-content: left;
    text-align: left;
    margin-left: 5%;
}

.services h2 {
    text-align: center;
    font-size: 24px;
    margin-bottom: 40px;
}

.service {
    font-family: 'Kanit', sans-serif;
    text-align: center;
    padding: 10px;
    border-radius: 5%;
    background-color: var(--color-primary);
    margin-left: 20px;
    margin-right: 20px;
    color: white;
    width: 500px;
    height: 700;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.service2 {
    font-family: 'Kanit', sans-serif;
    background-color: white;
    text-align: center;
    margin-bottom: 40px;
    padding: 10px;
    border-radius: 5%;
    margin-top: 50px;
    margin-left: 20px;
    margin-right: 20px;
    color: #000000;
    width: 430px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.service img {
    width: 200px;
    margin-bottom: auto; /* Alinea la imagen al borde inferior */
    margin-top: 1%;
  }

.service h3 {
    font-size: 25px;
    margin-bottom: 10px;
}

.service p {
    font-family: 'Roboto Condensed', sans-serif;
    width: 90%;
    text-align: left;
    margin-bottom: auto;
    font-size: 22px;
}

.contact {
    padding: 40px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top:5%;
}

.h1N {
    text-align: center;
    margin-bottom: 20px;
    font-family: 'Kanit', sans-serif;
    font-size: 40px;
}

.contact p {
    text-align: center;
    margin-bottom: 40px;
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 22px;
}

.contact form {
    max-width: 400px;
    margin: 0 auto;
}

.contact form input,
.contact form textarea {
    display: block;
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 4px;
    border: 1px solid #CCC;
}

.contact form button {
    display: block;
    width: 100%;
    padding: 10px;
    background-color: #083B66;
    color: #FFF;
    border: none;
    border-radius: 4px;
    transition: background-color 0.3s;
}

.contact form button:hover {
    background-color: #0088E9;
}

.contact img {
    justify-content: center;
    width: 600px;
    height: auto;
    align-items: center;
    display: block;
    max-width: 100%;
    margin: 0 auto;
}

.enc {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 25px;
}

.enc p {
    text-align: center;
    margin-bottom: 40px;
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 22px;
}

.encontrar1 {
    width: 40%;
    padding: 30px;
}

.encontrar2 {
    padding: 30px;
}

.encontrar2 img {
    width: 400px;
    height: auto;
}

@media (max-width: 1250px) {
    /* Reset de estilos */
    :root {
        --color-primary: #083B66;
        --color-accent: #0088E9;
    }

    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    /* Estilos generales */
    body {
        font-family: 'Kanit', sans-serif;
        font-size: 16px;
        line-height: 1.5;
        color: #333;
        margin: 0;
    }

    body::-webkit-scrollbar {
        width: 0px;
        height: 0px;
        background-color: #F5F5F5;
    }

    body::-webkit-scrollbar-thumb {
        background-color: #000000;
    }

    .container {
        max-width: 1200px;
        margin: 0 auto;
        padding: 0 20px;
        flex-grow: 1;
    }

    .container1 {
        display: flex;
        max-width: 1500px;
        margin: 0 auto;
        padding: 0 20px;
        justify-content: center;
        flex-wrap: wrap;

    }


    /* Estilos del encabezado */
    header {
        background-color: var(--color-primary);
        padding: 20px 0;
        position: relative;
        height: 100px;
        font-family: 'Kanit', sans-serif;
    }

    nav {
        background-color: white;
        padding: 10px;
        display: flex;
        align-items: center;
        position: fixed;
        top: 0;
        left: 0;
        width: auto;
        z-index: 2;
        text-align: right;
        border-radius: 5px;
        margin-left: 1%;
        margin-right: 1%;
        margin-top: 1%;
        border: solid 3px var(--color-primary);
    }

    .logo img {
        max-width: 100px;
        height: auto;
    }

    nav ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        display: flex;
        justify-content: center;
    }

    nav ul li {
        margin-right: 20px;
    }

    nav ul li a {
        color: var(--color-primary);
        text-decoration: none;
        font-weight: bold;
        margin-left: 20px;
    }

    nav ul li a:hover {
        color: var(--color-accent);
    }

    /* Estilo para el menú desplegable */
    .dropdown {
        position: relative;
        display: inline-block;
    }
    
    .dropdown-content {
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        min-width: 160px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
        width: 250px;
        text-align: left;
    }
    
    .dropdown-content a {
        color: #333;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
    }
    
    .dropdown:hover .dropdown-content {
        display: block;
    }

    /* Estilos de la sección de ubicación */
    .map {
        display: flex;
        flex-wrap: wrap;
        margin: auto;
        padding: 0 20px;
        align-items: center;
    }

    .left-column {
        padding-right: 20px;
        margin-left: 10px;
    }

    .right-column {
        padding-left: 20px;
        margin-left: 100px;
    }

    .map .container .right-column p {
        margin-top: 0;
    }

    /* Estilos del pie de página */
    footer {
        background-color: #083B66;
        padding: 20px 0;
        text-align: center;
        color: #FFF;
        margin-top: auto;
    }

    #imgen {
        width: 400px;
        height: auto;
    }

    .services {
        font-family: 'Kanit', sans-serif;
        padding: 40px;
        color: rgb(0, 0, 0);
        width: 100%;
        height: auto;
        margin: auto;
        align-items: center;
        justify-content: center;
        margin: auto;
    }

    #h2N {
        width: 100%;
        color: white;
        justify-content: left;
        display: block;
        align-content: left;
        text-align: left;
        margin-left: 5%;
    }

    .services h2 {
        text-align: center;
        font-size: 24px;
        margin-bottom: 40px;
    }

    .service {
        font-family: 'Kanit', sans-serif;
        text-align: center;
        padding: 10px;
        border-radius: 5%;
        background-color: var(--color-primary);
        margin-left: 20px;
        margin-right: 20px;
        color: white;
        width: 400px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .service2 {
        font-family: 'Kanit', sans-serif;
        background-color: white;
        text-align: center;
        margin-bottom: 40px;
        padding: 10px;
        border-radius: 5%;
        margin-top: 50px;
        margin-left: 20px;
        margin-right: 20px;
        color: #000000;
        width: 330px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .service img {
        width: 200px;
        margin-bottom: auto; /* Alinea la imagen al borde inferior */
        margin-top: 1%;
    }

    .service h3 {
        font-size: 25px;
        margin-bottom: 10px;
    }

    .service p {
        font-family: 'Roboto Condensed', sans-serif;
        width: 90%;
        text-align: left;
        margin-bottom: auto;
        font-size: 18px;
    }

    .contact {
        padding: 40px 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top:5%;
    }

    .h1N {
        text-align: center;
        margin-bottom: 20px;
        font-family: 'Kanit', sans-serif;
        font-size: 40px;
    }

    .contact p {
        text-align: center;
        margin-bottom: 40px;
        font-family: 'Roboto Condensed', sans-serif;
        font-size: 22px;
    }

    .contact form {
        max-width: 400px;
        margin: 0 auto;
    }

    .contact form input,
    .contact form textarea {
        display: block;
        width: 100%;
        padding: 10px;
        margin-bottom: 20px;
        border-radius: 4px;
        border: 1px solid #CCC;
    }

    .contact form button {
        display: block;
        width: 100%;
        padding: 10px;
        background-color: #083B66;
        color: #FFF;
        border: none;
        border-radius: 4px;
        transition: background-color 0.3s;
    }

    .contact form button:hover {
        background-color: #0088E9;
    }

    .contact img {
        justify-content: center;
        width: 600px;
        height: auto;
        align-items: center;
        display: block;
        max-width: 100%;
        margin: 0 auto;
    }

    .enc {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 25px;
    }

    .enc p {
        text-align: center;
        margin-bottom: 40px;
        font-family: 'Roboto Condensed', sans-serif;
        font-size: 22px;
    }

    .encontrar1 {
        width: 40%;
        padding: 30px;
    }

    .encontrar2 {
        padding: 30px;
    }

    .encontrar2 img {
        width: 400px;
        height: auto;
    }

}
